Commit c9cf3f91 authored by Jonathon Duerig's avatar Jonathon Duerig
Browse files

Fix various minor bugs and typos. All pages except for instantiate.php now seem to work.

parent 7d6cdea1
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
include("profile_defs.php");
$page_title = "My Profiles";
......
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
# Must be after quickvm_sup.php since it changes the auth domain.
$page_title = "Extend";
......
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
$page_title = "Approve User";
#
......@@ -95,7 +94,6 @@ echo " window.AJAXURL = 'server-ajax.php';\n";
echo "</script>\n";
echo "<script src='js/lib/jquery-2.0.3.min.js'></script>\n";
echo "<script src='js/lib/bootstrap.js'></script>\n";
REQUIRE_SUP();
SPITREQUIRE("js/approveuser.js");
......
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
$page_title = "Change Password";
RedirectSecure();
......
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
$page_title = "Cluster Graphs";
SPITHEADER(1);
......
......@@ -26,7 +26,6 @@ include("defs.php3");
include_once("geni_defs.php");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
include_once("instance_defs.php");
include_once("aggregate_defs.php");
$page_title = "Cluster Status";
......
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
include_once("profile_defs.php");
include_once("instance_defs.php");
# Must be after quickvm_sup.php since it changes the auth domain.
......@@ -49,7 +48,7 @@ $optargs = OptionalPageArguments("create", PAGEARG_STRING,
#
function SPITFORM($formfields, $errors)
{
global $this_user, $projlist, $embedded, $this_idx, $PORTAL_TEMPLATES;
global $this_user, $projlist, $embedded, $this_idx;
$button_label = "Create";
$title = "Create Dataset";
......
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
# Must be after quickvm_sup.php since it changes the auth domain.
$page_title = "Create Group";
......
......@@ -26,7 +26,6 @@ include("defs.php3");
include_once("geni_defs.php");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
$dblink = GetDBLink("sa");
#
......
/*
You probably do not need to edit this at all.
Add some SmartMenus required styles not covered in Bootstrap 3's default CSS.
These are theme independent and should work with any Bootstrap 3 theme mod.
*/
/* sub menus arrows on desktop */
.navbar-nav:not(.sm-collapsible) ul .caret {
position: absolute;
right: 0;
margin-top: 6px;
margin-right: 15px;
border-top: 4px solid transparent;
border-bottom: 4px solid transparent;
border-left: 4px dashed;
}
.navbar-nav:not(.sm-collapsible) ul a.has-submenu {
padding-right: 30px;
}
/* make sub menu arrows look like +/- buttons in collapsible mode */
.navbar-nav.sm-collapsible .caret, .navbar-nav.sm-collapsible ul .caret {
position: absolute;
right: 0;
margin: -3px 15px 0 0;
padding: 0;
width: 32px;
height: 26px;
line-height: 24px;
text-align: center;
border-width: 1px;
border-style: solid;
}
.navbar-nav.sm-collapsible .caret:before {
content: '+';
font-family: monospace;
font-weight: bold;
}
.navbar-nav.sm-collapsible .open > a > .caret:before {
content: '-';
}
.navbar-nav.sm-collapsible a.has-submenu {
padding-right: 50px;
}
/* revert to Bootstrap's default carets in collapsible mode when the "data-sm-skip-collapsible-behavior" attribute is set to the ul.navbar-nav */
.navbar-nav.sm-collapsible[data-sm-skip-collapsible-behavior] .caret, .navbar-nav.sm-collapsible[data-sm-skip-collapsible-behavior] ul .caret {
position: static;
margin: 0 0 0 2px;
padding: 0;
width: 0;
height: 0;
border-top: 4px dashed;
border-right: 4px solid transparent;
border-bottom: 0;
border-left: 4px solid transparent;
}
.navbar-nav.sm-collapsible[data-sm-skip-collapsible-behavior] .caret:before {
content: '' !important;
}
.navbar-nav.sm-collapsible[data-sm-skip-collapsible-behavior] a.has-submenu {
padding-right: 15px;
}
/* scrolling arrows for tall menus */
.navbar-nav span.scroll-up, .navbar-nav span.scroll-down {
position: absolute;
display: none;
visibility: hidden;
height: 20px;
overflow: hidden;
text-align: center;
}
.navbar-nav span.scroll-up-arrow, .navbar-nav span.scroll-down-arrow {
position: absolute;
top: -2px;
left: 50%;
margin-left: -8px;
width: 0;
height: 0;
overflow: hidden;
border-top: 7px dashed transparent;
border-right: 7px dashed transparent;
border-bottom: 7px solid;
border-left: 7px dashed transparent;
}
.navbar-nav span.scroll-down-arrow {
top: 6px;
border-top: 7px solid;
border-right: 7px dashed transparent;
border-bottom: 7px dashed transparent;
border-left: 7px dashed transparent;
}
/* add more indentation for 2+ level sub in collapsible mode - Bootstrap normally supports just 1 level sub menus */
.navbar-nav.sm-collapsible ul .dropdown-menu > li > a,
.navbar-nav.sm-collapsible ul .dropdown-menu .dropdown-header {
padding-left: 35px;
}
.navbar-nav.sm-collapsible ul ul .dropdown-menu > li > a,
.navbar-nav.sm-collapsible ul ul .dropdown-menu .dropdown-header {
padding-left: 45px;
}
.navbar-nav.sm-collapsible ul ul ul .dropdown-menu > li > a,
.navbar-nav.sm-collapsible ul ul ul .dropdown-menu .dropdown-header {
padding-left: 55px;
}
.navbar-nav.sm-collapsible ul ul ul ul .dropdown-menu > li > a,
.navbar-nav.sm-collapsible ul ul ul ul .dropdown-menu .dropdown-header {
padding-left: 65px;
}
/* fix SmartMenus sub menus auto width (subMenusMinWidth and subMenusMaxWidth options) */
.navbar-nav .dropdown-menu > li > a {
white-space: normal;
}
.navbar-nav ul.sm-nowrap > li > a {
white-space: nowrap;
}
.navbar-nav.sm-collapsible ul.sm-nowrap > li > a {
white-space: normal;
}
/* fix .navbar-right subs alignment */
.navbar-right ul.dropdown-menu {
left: 0;
right: auto;
}
\ No newline at end of file
......@@ -26,7 +26,6 @@ include("defs.php3");
include_once("geni_defs.php");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
include_once("instance_defs.php");
$page_title = "Dash Board";
......@@ -51,7 +50,6 @@ echo " window.ISADMIN = $isadmin;\n";
echo " window.ISFADMIN = $isfadmin;\n";
echo "</script>\n";
echo "<script src='js/lib/bootstrap.js'></script>\n";
echo "<script src='js/lib/require.js' data-main='js/dashboard'></script>\n";
REQUIRE_UNDERSCORE();
......
......@@ -27,7 +27,6 @@ include("lease_defs.php");
include("imageid_defs.php");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
include_once("dataset_defs.php");
include_once("instance_defs.php");
include_once("profile_defs.php");
......@@ -78,7 +77,7 @@ if (!$dataset->AccessCheck($this_user, $LEASE_ACCESS_MODIFY)) {
#
function SPITFORM($formfields, $errors)
{
global $this_user, $projlist, $embedded, $this_idx, $PORTAL_TEMPLATES;
global $this_user, $projlist, $embedded, $this_idx;
$button_label = "Save";
$title = "Modify Dataset";
$isadmin = (ISADMIN() ? "true" : "false");
......
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
# No page arguments, but make sure that the environment is clean
RequiredPageArguments();
......@@ -34,7 +33,6 @@ SPITHEADER();
echo "The URL you gave: <b>" . htmlentities( $_SERVER["REQUEST_URI"] ) . "</b>
is not available or is broken.";
echo "<script src='js/lib/jquery-2.0.3.min.js'></script>\n";
echo "<script src='js/lib/bootstrap.js'></script>\n";
SPITNULLREQUIRE();
SPITFOOTER();
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
jinclude("require.php");
$page_title = "Forgot Your Password";
RedirectSecure();
......
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
# Must be after quickvm_sup.php since it changes the auth domain.
include_once("../session.php");
$page_title = "Login";
......@@ -48,7 +47,6 @@ echo "<div id='waitwait_div'></div>\n";
echo "<script src='https://www.emulab.net/protogeni/speaks-for/geni-auth.js'>
</script>\n";
echo "<script src='js/lib/jquery-2.0.3.min.js'></script>\n";
echo "<script src='js/lib/bootstrap.js'></script>\n";
REQUIRE_UNDERSCORE();
REQUIRE_SUP();
......
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
include_once("profile_defs.php");
$page_title = "Genilib Editor";
......@@ -118,7 +117,6 @@ echo "</script>\n";
echo "<script src='js/lib/jquery-2.0.3.min.js'></script>\n";
echo "<script src='js/lib/bootstrap.js'></script>\n";
echo "<script src='https://cdn.jsdelivr.net/ace/1.2.3/noconflict/ace.js'></script>\n";
echo "<script src='https://cdn.jsdelivr.net/ace/1.2.3/noconflict/keybinding-vim.js'></script>\n";
echo "<script src='https://cdn.jsdelivr.net/ace/1.2.3/noconflict/keybinding-emacs.js'></script>\n";
......
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
$page_title = "Image List";
#
......@@ -172,7 +171,6 @@ echo "</script>\n";
echo "<script src='js/lib/jquery-2.0.3.min.js'></script>\n";
echo "<script src='js/lib/jquery.tablesorter.min.js'></script>\n";
echo "<script src='js/lib/jquery.tablesorter.widgets.min.js'></script>\n";
echo "<script src='js/lib/bootstrap.js'></script>\n";
REQUIRE_UNDERSCORE();
REQUIRE_SUP();
......
......@@ -28,7 +28,6 @@ include_once("geni_defs.php");
include_once("webtask.php");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
include_once("instance_defs.php");
include_once("profile_defs.php");
# Must be after quickvm_sup.php since it changes the auth domain.
......@@ -439,7 +438,6 @@ function SPITFORM($formfields, $newuser, $errors)
echo " window.CLASSIC = " . ($classic ? "true" : "false") . ";\n";
echo "</script>\n";
echo "<script src='js/lib/jquery-2.0.3.min.js'></script>\n";
echo "<script src='js/lib/bootstrap.js'></script>\n";
REQUIRE_UNDERSCORE();
REQUIRE_CONSTRAINTS();
......
......@@ -25,7 +25,6 @@ chdir("..");
include("defs.php3");
chdir("apt");
include("quickvm_sup.php");
include("require.php");
$page_title = "Invite a User";
#
......@@ -46,7 +45,7 @@ $optargs = OptionalPageArguments("invite", PAGEARG_STRING,
#
function SPITFORM($formfields, $errors)
{
global $projlist, $PORTAL_TEMPLATES;
global $projlist;
SPITHEADER(1);
......@@ -69,7 +68,6 @@ function SPITFORM($formfields, $errors)
echo "</script>\n";
echo "<script src='js/lib/jquery-2.0.3.min.js'></script>\n";
echo "<script src='js/lib/bootstrap.js'></script>\n";
REQUIRE_UNDERSCORE();
REQUIRE_SUP();
......
//define(['underscore', 'js/lib/text!template/edit-modal.html', 'js/lib/text!template/edit-inline.html'],
window.JacksEditor = function ()
window.JacksEditor = (function ()
{
'use strict';
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment